Bug 1798954 - Wrong "view all" links in VMI overview events and details cards
Summary: Wrong "view all" links in VMI overview events and details cards
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.4.0
Assignee: Tomas Jelinek
QA Contact: Nelly Credi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-06 11:43 UTC by Yaacov Zamir
Modified: 2020-04-17 12:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-17 12:25:30 UTC
Target Upstream Version:


Attachments (Terms of Use)
The broken links in VMI Overview (108.79 KB, image/png)
2020-02-06 11:43 UTC, Yaacov Zamir
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 4225 None closed Bug 1798954: Fix view all dashboard links 2020-04-17 12:25:01 UTC

Description Yaacov Zamir 2020-02-06 11:43:04 UTC
Created attachment 1658168 [details]
The broken links in VMI Overview

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Yaacov Zamir 2020-02-06 11:47:17 UTC
Description of problem:
When viewing VMI overview page, the Events and Details cards "view all" links, link to VM instead of VMI.

Version-Release number of selected component (if applicable):


How reproducible: 100%


Steps to Reproduce:
1. create a VMI
2. browse to VMI Overview page
3.a click on Detail card's "view all" top link
3.b click on Events card's "view all" top link

Actual results:
link to VM page

Expected results:
link to VMI page

Additional info:

Comment 2 Yaacov Zamir 2020-02-06 11:48:35 UTC
Submitted upstream:
https://github.com/openshift/console/pull/4225

Comment 4 Guohua Ouyang 2020-02-20 02:43:46 UTC
verified on 4.4.0-0.nightly-2020-02-17-022408


Note You need to log in before you can comment on or make changes to this bug.